the Fink project is an effort to port
popular Unix programs to Mac OS X
Package: riece
Version: 5.0.0
Revision: 1
Description: IRC client for Emacs
License: GPL
Maintainer: Todai Fink Team
BuildDepends: fink (>= 0.24.12)
Depends: emacsen
Suggests: kakasi, lsdb
Conflicts: riece-async, riece-kakasi, riece-lsdb, riece-rdcc, riece-xface
Replaces: riece-async, riece-kakasi, riece-lsdb, riece-rdcc, riece-xface
Source: http://download.savannah.nongnu.org/releases/%n/%n-%v.tar.gz
Source-MD5: 67b8ec7e8654ac3b553cb8f6541d1d89
PatchFile: %n.patch
PatchFile-MD5: 6024b73ca3ca9fff5d875c932f6569ec
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | patch -p1
sed -e 's|@PACKAGE@|%n|g' \
-e 's|@VERSION@|%v|g' lisp/riece-package-info.el.in \
> lisp/riece-package-info.el
<<
CompileScript: echo "Skip Compilation."
InstallScript: <<
install -m 755 -d %i/share/info
install -m 644 doc/*.info %i/share/info
install -m 755 -d %i/share/emacs/site-lisp/%n
install -m 644 lisp/{COMPILE,*.el,*.rb,*.xpm} %i/share/emacs/site-lisp/%n
install -m 755 -d %i/share/doc/%n/test
install -m 644 lisp/test/*.el %i/share/doc/%n/test
install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el
install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: AUTHORS COPYING ChangeLog INSTALL* NEWS* README* doc/HACKING*
InfoDocs: riece-en.info riece-ja.info
PostInstScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-install ] && [ "$1" = "configure" ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ]; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
Homepage: http://savannah.nongnu.org/projects/riece/
DescDetail: <<
Riece is an IRC client for Emacs. The development has started to redesign
the Liece IRC client.
Riece provides the following features:
- Several IRC servers may be used at the same time.
- Essential features can be built upon the extension framework (called
"add-on") capable of dependency tracking.
- Installation is easy. Riece doesn't depend on other packages.
- Setup is easy. Automatically save/restore the configuration.
- Riece uses separate windows to display users, channels, and
dialogues. The user can select the window layout.
- Step-by-step instructions (in info format) are included.
- Mostly compliant with RFC 2812.
<<
diff -Naur riece-2.0.2.orig/fink/riece-install riece-2.0.2/fink/riece-install
--- riece-2.0.2.orig/fink/riece-install 1970-01-01 09:00:00.000000000 +0900
+++ riece-2.0.2/fink/riece-install 2006-03-30 18:01:04.000000000 +0900
@@ -0,0 +1,115 @@
+#! /bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/install/riece
+
+# Written by Jim Van Zandt
+# from the install scripts for gettext by Santiago Vila
+#
+#
+# Patched by Roland Mas
+# of flavor-dependently included/excluded files
+
+FLAVOR=$1
+STAMPFILE=riece.elc
+PACKAGE=riece
+
+# INCLUDED_emacs20=""
+# INCLUDED_emacs21=""
+# INCLUDED_xemacs21=""
+# INCLUDE_emacs_snapshot=""
+
+# EXCLUDED_emacs20=""
+# EXCLUDED_emacs21=""
+# EXCLUDED_xemacs21=""
+# EXCLUDED_emacs_snapshot=""
+
+SOURCEONLY_ALL="COMPILE riece-command-next-channel.xpm riece-command-previous-channel.xpm riece-submit-bug-report.xpm"
+
+eval included_here=\$$(echo INCLUDED_$FLAVOR | tr - _)
+eval excluded_here=\$$(echo EXCLUDED_$FLAVOR | tr - _)
+eval sourceonly_here=\$$(echo SOURCEONLY_$FLAVOR | tr - _)
+
+included_all=$(for i in ${!INCLUDED_*} ; do
+ eval echo \$$i
+ done | sort -u)
+
+excluded_all=$(for i in ${!EXCLUDED_*} ; do
+ eval echo \$$i
+ done | sort -u)
+
+sourceonly_all=$(for i in ${!SOURCEONLY_*} ; do
+ eval echo \$$i
+ done | sort -u)
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+LOG=`tempfile -pelc_ -s.log -m644`
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+if test -e "${ELCDIR}/${STAMPFILE}"; then
+ echo "${PACKAGE} files already compiled in ${ELCDIR}."
+ rm -f ${LOG}
+ exit
+fi
+echo install/${PACKAGE}: Handling ${FLAVOR}, logged in ${LOG}
+
+if [ -z "$FLAGS" ] ; then
+ FLAGS="-q -no-site-file --no-site-file -batch -l COMPILE -f riece-compile"
+fi
+
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+
+# Now to compute the list of files to install...
+
+FILES=$(ls -1 *.el)
+# Here we have all of them
+
+PATTERN=""
+for i in $included_all $excluded_all $sourceonly_all; do
+ [ ! -z "$PATTERN" ] && PATTERN="${PATTERN}\|"
+ PATTERN="${PATTERN}^$i\$"
+done
+FILES2=$FILES
+if [ ! -z "$PATTERN" ] ; then
+ FILES=$(for i in $FILES2 ; do echo $i | grep -v $PATTERN || true ; done)
+fi
+# Here we only have those not explicitly included or excluded by any flavour
+
+FILES="$FILES $included_here"
+# Here we also have those included for the current flavour
+
+for i in $excluded_all ; do
+ include_i="yes"
+ for j in $excluded_here ; do
+ [ $i = $j ] && include_i="no"
+ done
+ [ $include_i = "yes" ] && FILES="$FILES $i"
+done
+# And now we have those excluded by other flavours but not the current one
+
+FILES=$(for i in $FILES ; do echo $i ; done | sort -u)
+# And now for my last trick... The list is now uniquified!
+
+# Symlinks instead of copying...
+cd ${ELCDIR}
+for i in $FILES $sourceonly_all; do
+ ln -fs @PREFIX@/share/emacs/site-lisp/${PACKAGE}/$i
+done
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+if test "${APPEND_LOAD_PATH}" != ""
+then
+ cat << EOF >> path.el
+(setq load-path (append ${APPEND_LOAD_PATH} load-path))
+EOF
+fi
+
+echo ${FLAVOR} ${FLAGS} >> ${LOG}
+"${FLAVOR}" ${FLAGS} >> ${LOG} 2>&1
+egrep -s -e "While compiling|\*\*" ${LOG} || /usr/bin/true
+echo install/${PACKAGE}: Deleting ${LOG}
+rm -f path.el COMPILE ${LOG}
+
+exit 0
diff -Naur riece-2.0.2.orig/fink/riece-remove riece-2.0.2/fink/riece-remove
--- riece-2.0.2.orig/fink/riece-remove 1970-01-01 09:00:00.000000000 +0900
+++ riece-2.0.2/fink/riece-remove 2006-03-30 18:00:50.000000000 +0900
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/remove/riece
+
+FLAVOR=$1
+PACKAGE=riece
+
+if [ ${FLAVOR} != emacs ]; then
+
+ echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+ rm -rf @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
diff -Naur riece-2.0.2.orig/fink/riece-startup riece-2.0.2/fink/riece-startup
--- riece-2.0.2.orig/fink/riece-startup 1970-01-01 09:00:00.000000000 +0900
+++ riece-2.0.2/fink/riece-startup 2006-03-30 17:54:41.000000000 +0900
@@ -0,0 +1,22 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Fink riece package
+;;
+;; Originally contributed by Nils Naumann
+;; Modified by Dirk Eddelbuettel
+;; Adapted for dh-make by Jim Van Zandt
+
+;; The riece package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...). The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+
+(if (not (file-exists-p "@PREFIX@/share/emacs/site-lisp/riece"))
+ (message "Package riece removed but not purged. Skipping setup.")
+ (setq load-path (cons
+ (concat "@PREFIX@/share/" (symbol-name fink-emacs-flavor)
+ "/site-lisp/riece") load-path))
+
+ (autoload 'riece "riece" nil t)
+ (setq riece-data-directory "@PREFIX@/share/emacs/site-lisp/riece"))